Offset line symbology added to polygon layer leads to crash

2014-05-06 08:11 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee: Alvaro Huarte

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18645

Description

Current master crashes if a simple line symbol layer is added to a polygon, when an offset is added to the simple line.

Steps to reproduce:

1. Add a polygon layer

2. In layer properties, add a new symbol level. Set it to "simple line" 

3. Set the offset to a non-zero amount.

4. Zoom/pan the map - QGIS will quickly crash.

This is only reproducible if simplification is enabled for the vector layer.

Related issues:

Related to QGIS Application - Bug report # 10352: Exception with offset polyg... Closed 2014-05-25

History

#1 - 2014-06-09 06:32 AM - Giovanni Manghi

- Assignee set to Alvaro Huarte

- Category set to Vectors

#2 - 2014-06-09 06:35 PM - Alvaro Huarte

Hi, this PR ( https://github.com/qgis/QGIS/pull/1437 ) attemps to fix this bug.

Best regards

#3 - 2014-06-12 11:36 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in commit:a8150d1563cac1a080752be85d9b68c70e4a0cf9.
